<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package STAKEHOLDER
 * @since STAKEHOLDER 1.0
 */

							do_action( 'stakeholder_action_page_content_end_text' );
							
							// Widgets area below the content
							stakeholder_create_widgets_area( 'widgets_below_content' );
						
							do_action( 'stakeholder_action_page_content_end' );
							?>
						</div>
						<?php
						
						do_action( 'stakeholder_action_after_page_content' );

						// Show main sidebar
						get_sidebar();

						do_action( 'stakeholder_action_content_wrap_end' );
						?>
					</div>
					<?php

					do_action( 'stakeholder_action_after_content_wrap' );

					// Widgets area below the page and related posts below the page
					$stakeholder_body_style = stakeholder_get_theme_option( 'body_style' );
					$stakeholder_widgets_name = stakeholder_get_theme_option( 'widgets_below_page' );
					$stakeholder_show_widgets = ! stakeholder_is_off( $stakeholder_widgets_name ) && is_active_sidebar( $stakeholder_widgets_name );
					$stakeholder_show_related = stakeholder_is_single() && stakeholder_get_theme_option( 'related_position' ) == 'below_page';
					if ( $stakeholder_show_widgets || $stakeholder_show_related ) {
						if ( 'fullscreen' != $stakeholder_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $stakeholder_show_related ) {
							do_action( 'stakeholder_action_related_posts' );
						}

						// Widgets area below page content
						if ( $stakeholder_show_widgets ) {
							stakeholder_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $stakeholder_body_style ) {
							?>
							</div>
							<?php
						}
					}
					do_action( 'stakeholder_action_page_content_wrap_end' );
					?>
			</div>
			<?php
			do_action( 'stakeholder_action_after_page_content_wrap' );

			// Don't display the footer elements while actions 'full_post_loading' and 'prev_post_loading'
			if ( ( ! stakeholder_is_singular( 'post' ) && ! stakeholder_is_singular( 'attachment' ) ) || ! in_array ( stakeholder_get_value_gp( 'action' ), array( 'full_post_loading', 'prev_post_loading' ) ) ) {
				
				// Skip link anchor to fast access to the footer from keyboard
				?>
				<a id="footer_skip_link_anchor" class="stakeholder_skip_link_anchor" href="#"></a>
				<?php

				do_action( 'stakeholder_action_before_footer' );

				// Footer
				$stakeholder_footer_type = stakeholder_get_theme_option( 'footer_type' );
				if ( 'custom' == $stakeholder_footer_type && ! stakeholder_is_layouts_available() ) {
					$stakeholder_footer_type = 'default';
				}
				get_template_part( apply_filters( 'stakeholder_filter_get_template_part', "templates/footer-" . sanitize_file_name( $stakeholder_footer_type ) ) );

				do_action( 'stakeholder_action_after_footer' );

			}
			?>

			<?php do_action( 'stakeholder_action_page_wrap_end' ); ?>

		</div>

		<?php do_action( 'stakeholder_action_after_page_wrap' ); ?>

	</div>

	<?php do_action( 'stakeholder_action_after_body' ); ?>

	<?php wp_footer(); ?>

</body>
</html>