<div class="front_page_section front_page_section_blog<?php
	$stakeholder_scheme = stakeholder_get_theme_option( 'front_page_blog_scheme' );
	if ( ! empty( $stakeholder_scheme ) && ! stakeholder_is_inherit( $stakeholder_scheme ) ) {
		echo ' scheme_' . esc_attr( $stakeholder_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( stakeholder_get_theme_option( 'front_page_blog_paddings' ) );
	if ( stakeholder_get_theme_option( 'front_page_blog_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$stakeholder_css      = '';
		$stakeholder_bg_image = stakeholder_get_theme_option( 'front_page_blog_bg_image' );
		if ( ! empty( $stakeholder_bg_image ) ) {
			$stakeholder_css .= 'background-image: url(' . esc_url( stakeholder_get_attachment_url( $stakeholder_bg_image ) ) . ');';
		}
		if ( ! empty( $stakeholder_css ) ) {
			echo ' style="' . esc_attr( $stakeholder_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$stakeholder_anchor_icon = stakeholder_get_theme_option( 'front_page_blog_anchor_icon' );
	$stakeholder_anchor_text = stakeholder_get_theme_option( 'front_page_blog_anchor_text' );
if ( ( ! empty( $stakeholder_anchor_icon ) || ! empty( $stakeholder_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_blog"'
									. ( ! empty( $stakeholder_anchor_icon ) ? ' icon="' . esc_attr( $stakeholder_anchor_icon ) . '"' : '' )
									. ( ! empty( $stakeholder_anchor_text ) ? ' title="' . esc_attr( $stakeholder_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_blog_inner
	<?php
	if ( stakeholder_get_theme_option( 'front_page_blog_fullheight' ) ) {
		echo ' stakeholder-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$stakeholder_css      = '';
			$stakeholder_bg_mask  = stakeholder_get_theme_option( 'front_page_blog_bg_mask' );
			$stakeholder_bg_color_type = stakeholder_get_theme_option( 'front_page_blog_bg_color_type' );
			if ( 'custom' == $stakeholder_bg_color_type ) {
				$stakeholder_bg_color = stakeholder_get_theme_option( 'front_page_blog_bg_color' );
			} elseif ( 'scheme_bg_color' == $stakeholder_bg_color_type ) {
				$stakeholder_bg_color = stakeholder_get_scheme_color( 'bg_color', $stakeholder_scheme );
			} else {
				$stakeholder_bg_color = '';
			}
			if ( ! empty( $stakeholder_bg_color ) && $stakeholder_bg_mask > 0 ) {
				$stakeholder_css .= 'background-color: ' . esc_attr(
					1 == $stakeholder_bg_mask ? $stakeholder_bg_color : stakeholder_hex2rgba( $stakeholder_bg_color, $stakeholder_bg_mask )
				) . ';';
			}
			if ( ! empty( $stakeholder_css ) ) {
				echo ' style="' . esc_attr( $stakeholder_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_blog_content_wrap content_wrap">
			<?php
			// Caption
			$stakeholder_caption = stakeholder_get_theme_option( 'front_page_blog_caption' );
			if ( ! empty( $stakeholder_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_blog_caption front_page_block_<?php echo ! empty( $stakeholder_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $stakeholder_caption, 'stakeholder_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$stakeholder_description = stakeholder_get_theme_option( 'front_page_blog_description' );
			if ( ! empty( $stakeholder_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_blog_description front_page_block_<?php echo ! empty( $stakeholder_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $stakeholder_description ), 'stakeholder_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_blog_output">
				<?php
				if ( is_active_sidebar( 'front_page_blog_widgets' ) ) {
					dynamic_sidebar( 'front_page_blog_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! stakeholder_exists_trx_addons() ) {
						stakeholder_customizer_need_trx_addons_message();
					} else {
						stakeholder_customizer_need_widgets_message( 'front_page_blog_caption', 'ThemeREX Addons - Blogger' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
