<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package STAKEHOLDER
 * @since STAKEHOLDER 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$stakeholder_copyright_scheme = stakeholder_get_theme_option( 'copyright_scheme' );
if ( ! empty( $stakeholder_copyright_scheme ) && ! stakeholder_is_inherit( $stakeholder_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $stakeholder_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$stakeholder_copyright = stakeholder_get_theme_option( 'copyright' );
			if ( ! empty( $stakeholder_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$stakeholder_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $stakeholder_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$stakeholder_copyright = stakeholder_prepare_macros( $stakeholder_copyright );
				// Display copyright
				echo wp_kses( nl2br( $stakeholder_copyright ), 'stakeholder_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
