<?php
/**
 * The template to display default site footer
 *
 * @package STAKEHOLDER
 * @since STAKEHOLDER 1.0.10
 */

$stakeholder_footer_id = stakeholder_get_custom_footer_id();
$stakeholder_footer_meta = get_post_meta( $stakeholder_footer_id, 'trx_addons_options', true );
if ( ! empty( $stakeholder_footer_meta['margin'] ) ) {
	stakeholder_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( stakeholder_prepare_css_value( $stakeholder_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $stakeholder_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $stakeholder_footer_id ) ) ); ?>
						<?php
						$stakeholder_footer_scheme = stakeholder_get_theme_option( 'footer_scheme' );
						if ( ! empty( $stakeholder_footer_scheme ) && ! stakeholder_is_inherit( $stakeholder_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $stakeholder_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'stakeholder_action_show_layout', $stakeholder_footer_id );
	?>
</footer><!-- /.footer_wrap -->
