<div class="front_page_section front_page_section_about<?php
	$stakeholder_scheme = stakeholder_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $stakeholder_scheme ) && ! stakeholder_is_inherit( $stakeholder_scheme ) ) {
		echo ' scheme_' . esc_attr( $stakeholder_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( stakeholder_get_theme_option( 'front_page_about_paddings' ) );
	if ( stakeholder_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$stakeholder_css      = '';
		$stakeholder_bg_image = stakeholder_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $stakeholder_bg_image ) ) {
			$stakeholder_css .= 'background-image: url(' . esc_url( stakeholder_get_attachment_url( $stakeholder_bg_image ) ) . ');';
		}
		if ( ! empty( $stakeholder_css ) ) {
			echo ' style="' . esc_attr( $stakeholder_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$stakeholder_anchor_icon = stakeholder_get_theme_option( 'front_page_about_anchor_icon' );
	$stakeholder_anchor_text = stakeholder_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $stakeholder_anchor_icon ) || ! empty( $stakeholder_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $stakeholder_anchor_icon ) ? ' icon="' . esc_attr( $stakeholder_anchor_icon ) . '"' : '' )
									. ( ! empty( $stakeholder_anchor_text ) ? ' title="' . esc_attr( $stakeholder_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( stakeholder_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' stakeholder-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$stakeholder_css           = '';
			$stakeholder_bg_mask       = stakeholder_get_theme_option( 'front_page_about_bg_mask' );
			$stakeholder_bg_color_type = stakeholder_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $stakeholder_bg_color_type ) {
				$stakeholder_bg_color = stakeholder_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $stakeholder_bg_color_type ) {
				$stakeholder_bg_color = stakeholder_get_scheme_color( 'bg_color', $stakeholder_scheme );
			} else {
				$stakeholder_bg_color = '';
			}
			if ( ! empty( $stakeholder_bg_color ) && $stakeholder_bg_mask > 0 ) {
				$stakeholder_css .= 'background-color: ' . esc_attr(
					1 == $stakeholder_bg_mask ? $stakeholder_bg_color : stakeholder_hex2rgba( $stakeholder_bg_color, $stakeholder_bg_mask )
				) . ';';
			}
			if ( ! empty( $stakeholder_css ) ) {
				echo ' style="' . esc_attr( $stakeholder_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$stakeholder_caption = stakeholder_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $stakeholder_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $stakeholder_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $stakeholder_caption, 'stakeholder_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$stakeholder_description = stakeholder_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $stakeholder_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $stakeholder_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $stakeholder_description ), 'stakeholder_kses_content' ); ?></div>
				<?php
			}

			// Content
			$stakeholder_content = stakeholder_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $stakeholder_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $stakeholder_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$stakeholder_page_content_mask = '%%CONTENT%%';
					if ( strpos( $stakeholder_content, $stakeholder_page_content_mask ) !== false ) {
						$stakeholder_content = preg_replace(
							'/(\<p\>\s*)?' . $stakeholder_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$stakeholder_content
						);
					}
					stakeholder_show_layout( $stakeholder_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
