<div class="front_page_section front_page_section_contacts<?php
	$stakeholder_scheme = stakeholder_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $stakeholder_scheme ) && ! stakeholder_is_inherit( $stakeholder_scheme ) ) {
		echo ' scheme_' . esc_attr( $stakeholder_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( stakeholder_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( stakeholder_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$stakeholder_css      = '';
		$stakeholder_bg_image = stakeholder_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $stakeholder_bg_image ) ) {
			$stakeholder_css .= 'background-image: url(' . esc_url( stakeholder_get_attachment_url( $stakeholder_bg_image ) ) . ');';
		}
		if ( ! empty( $stakeholder_css ) ) {
			echo ' style="' . esc_attr( $stakeholder_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$stakeholder_anchor_icon = stakeholder_get_theme_option( 'front_page_contacts_anchor_icon' );
	$stakeholder_anchor_text = stakeholder_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $stakeholder_anchor_icon ) || ! empty( $stakeholder_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $stakeholder_anchor_icon ) ? ' icon="' . esc_attr( $stakeholder_anchor_icon ) . '"' : '' )
									. ( ! empty( $stakeholder_anchor_text ) ? ' title="' . esc_attr( $stakeholder_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( stakeholder_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' stakeholder-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$stakeholder_css      = '';
			$stakeholder_bg_mask  = stakeholder_get_theme_option( 'front_page_contacts_bg_mask' );
			$stakeholder_bg_color_type = stakeholder_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $stakeholder_bg_color_type ) {
				$stakeholder_bg_color = stakeholder_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $stakeholder_bg_color_type ) {
				$stakeholder_bg_color = stakeholder_get_scheme_color( 'bg_color', $stakeholder_scheme );
			} else {
				$stakeholder_bg_color = '';
			}
			if ( ! empty( $stakeholder_bg_color ) && $stakeholder_bg_mask > 0 ) {
				$stakeholder_css .= 'background-color: ' . esc_attr(
					1 == $stakeholder_bg_mask ? $stakeholder_bg_color : stakeholder_hex2rgba( $stakeholder_bg_color, $stakeholder_bg_mask )
				) . ';';
			}
			if ( ! empty( $stakeholder_css ) ) {
				echo ' style="' . esc_attr( $stakeholder_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$stakeholder_caption     = stakeholder_get_theme_option( 'front_page_contacts_caption' );
			$stakeholder_description = stakeholder_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $stakeholder_caption ) || ! empty( $stakeholder_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $stakeholder_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $stakeholder_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $stakeholder_caption, 'stakeholder_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $stakeholder_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $stakeholder_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $stakeholder_description ), 'stakeholder_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$stakeholder_content = stakeholder_get_theme_option( 'front_page_contacts_content' );
			$stakeholder_layout  = stakeholder_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $stakeholder_layout && ( ! empty( $stakeholder_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $stakeholder_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $stakeholder_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $stakeholder_content, 'stakeholder_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $stakeholder_layout && ( ! empty( $stakeholder_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$stakeholder_sc = stakeholder_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $stakeholder_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $stakeholder_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					stakeholder_show_layout( do_shortcode( $stakeholder_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $stakeholder_layout && ( ! empty( $stakeholder_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
