<?php
/**
 * The template to display the background video in the header
 *
 * @package STAKEHOLDER
 * @since STAKEHOLDER 1.0.14
 */
$stakeholder_header_video = stakeholder_get_header_video();
$stakeholder_embed_video  = '';
if ( ! empty( $stakeholder_header_video ) && ! stakeholder_is_from_uploads( $stakeholder_header_video ) ) {
	if ( stakeholder_is_youtube_url( $stakeholder_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $stakeholder_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php stakeholder_show_layout( stakeholder_get_embed_video( $stakeholder_header_video ) ); ?></div>
		<?php
	}
}
